Matrix Games Forums

Forums  Register  Login  Photo Gallery  Member List  Search  Calendars  FAQ 

My Profile  Inbox  Address Book  My Subscription  My Forums  Log Out

v1.04.02 Hotfix EXE (Multi-Language PBEM++ support for previous v1.03 games + FIXES)

 
View related threads: (in this forum | in all forums)

Logged in as: Guest
Users viewing this topic: none
  Printable Version
All Forums >> [New Releases from Matrix Games] >> Strategic Command WWII War in Europe >> v1.04.02 Hotfix EXE (Multi-Language PBEM++ support for previous v1.03 games + FIXES) Page: [1]
Login
Message << Older Topic   Newer Topic >>
v1.04.02 Hotfix EXE (Multi-Language PBEM++ support for ... - 6/6/2017 9:37:48 PM   
Hubert Cater

 

Posts: 1444
Joined: 7/22/2013
Status: online
There is a HOTFIX available via Dropbox that updates the game EXE to v1.04.02.

NOTE: For Matrix users, this HOTFIX still requires that the full v1.04 update is installed first as this is just the game EXE.


The HOTFIX corrects the following:

- multi language PBEM++ game support issue for games started in other languages under v1.03 which should now allow you to load these games in v1.04.
- two 'on_left_button_down' issues related to hidden units and the new UI unit action buttons in the lower left Operational Management UI panel


DOWNLOAD
The HOTFIX game EXE can be downloaded from here:
https://www.dropbox.com/sh/jes6lf1punqvzs5/AAB6qXya22B-9AeSC_v6lFAAa?dl=0


INSTRUCTIONS
This EXE just needs to be downloaded and then copied and pasted over the game EXE found in your Strategic Command installation folder.

Matrix game installation, this is the typical path:
C:\Program Files (x86)\Matrix Games\Strategic Command WWII - War in Europe

Steam game installation, this is the typical path:
C:\Program Files (x86)\Steam\steamapps\common\Strategic Command WWII War in Europe



< Message edited by Hubert Cater -- 6/8/2017 1:37:59 PM >


_____________________________

Post #: 1
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/6/2017 10:02:40 PM   
BuDeR

 

Posts: 5
Joined: 4/21/2017
Status: offline
language problem!!
Just installed, im spanish, sry my english...
Cant join in spanish mode: open game, left bottom spanish language, interface in spanish, pbem ++, try to recover my 1.03 pbem games the game say me "downloading" (english) and cant find 69978.dat , close to main menu the new interface is in english again.

Not Works for me , spanish user the hotfix :


Update the sc3.exe in game folder, if use the steam shortcut the same problem..
if use directly sc3..exe Could not initialice STEAM manager or invalid serial key...

< Message edited by BuDeR -- 6/6/2017 10:05:18 PM >

(in reply to Hubert Cater)
Post #: 2
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/6/2017 10:04:52 PM   
Hubert Cater

 

Posts: 1444
Joined: 7/22/2013
Status: online
Hi BuDeR,

This hotfix is for the Matrix version only at the moment.

For Steam (or Matrix) if you launch the game in Spanish, and are attempting to load an older v1.03 PBEM++ game started in English, the current workaround for now (until the Steam version is updated) is to switch the language version of the game to English first, then go to the PBEM Lobby and launch the English PBEM++ game you would like to continue and it should work after that.

Note, the workaround is only required for the first time you load and complete an older v1.03 PBEM game. After that it will no longer be required and you should be able to launch from the Spanish UI as desired.

Hope this helps,
Hubert

_____________________________


(in reply to BuDeR)
Post #: 3
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/6/2017 10:06:14 PM   
BuDeR

 

Posts: 5
Joined: 4/21/2017
Status: offline
But my games were in spanish!!! i try to load in english mode but the same problema

My games were in spanish (1.03) i try to load in spanish and no Works, in english and no Works..
In spanish mode say me directly "downloading" and cant find 69987.dat to main menú.
In english mode say me "downloading" "unpacking" cant find 69987.dat and to main menú too

Thanks for your time and patiente and sry my poor english...

< Message edited by BuDeR -- 6/6/2017 10:14:38 PM >

(in reply to Hubert Cater)
Post #: 4
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/6/2017 11:24:41 PM   
Hubert Cater

 

Posts: 1444
Joined: 7/22/2013
Status: online
Thanks for the info and if you can do me a favour and list for me all the Challenge IDs in question and what language they should be in, i.e. Spanish or something else, and I will correct these on the server for you.

To get the Challenge ID info, simply load the PBEM++ Lobby in game and then mouse over each individual challenge and the tool tip popup should show the Challenge ID number.

We switched to a multi-language system which should be recording the languages that a challenge is started in, but it might be the case here that these older PBEM++ games were not properly recording the at start language for you.

_____________________________


(in reply to BuDeR)
Post #: 5
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/6/2017 11:33:32 PM   
BuDeR

 

Posts: 5
Joined: 4/21/2017
Status: offline
I have a video capture but cant upload link here sry-->YouTube -->youtu.be/ti4fXeTsTXg...

ChallengeID:78375 <-- My turn and cant load ,spanish
ChallengeID:73200 <-- No my turn ,spanish

All of this is about Steam game!!


< Message edited by BuDeR -- 6/6/2017 11:45:39 PM >

(in reply to Hubert Cater)
Post #: 6
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/6/2017 11:43:01 PM   
Hubert Cater

 

Posts: 1444
Joined: 7/22/2013
Status: online
Try ChallengeID:78375 now, while in the Spanish user interface, and let me know how it goes?

< Message edited by Hubert Cater -- 6/6/2017 11:47:38 PM >


_____________________________


(in reply to BuDeR)
Post #: 7
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/6/2017 11:45:06 PM   
Hubert Cater

 

Posts: 1444
Joined: 7/22/2013
Status: online
ChallengeID:73200 should also show now in Spanish.

_____________________________


(in reply to Hubert Cater)
Post #: 8
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/6/2017 11:49:49 PM   
BuDeR

 

Posts: 5
Joined: 4/21/2017
Status: offline
yeah both show in spanish try to load 78375 "downloading" in spanish "unpacking" in spanish but just saidme cant find 69946.dat and to a main menú, but all in spanish languages
dont worry about that game is in turn 8 but the other 73200 is in turn 91 :(

Perhaps the solution is uninstall steam versión , install matrix versión and continue the games..

< Message edited by BuDeR -- 6/6/2017 11:53:30 PM >

(in reply to Hubert Cater)
Post #: 9
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/6/2017 11:54:10 PM   
Hubert Cater

 

Posts: 1444
Joined: 7/22/2013
Status: online
Can you send me a quick email at support@furysoftware.com?

I believe I have a solution for you that will be easier to explain via email.

Thanks,
Hubert

_____________________________


(in reply to BuDeR)
Post #: 10
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/7/2017 10:21:42 AM   
Yogi the Great


Posts: 1797
Joined: 4/10/2007
From: Wisconsin
Status: offline
Help with my confusion, seems maybe I should forget this hotfix 1.04.01 (support for previous 1.03)

1) check for updates says there is one
2) try to download get error message
3) Says it is to fix 1.03
4) I have 1.02 which was the last official version as 1.03 is still Beta or so it says and never came up when hitting check for updates
5) why would I want to update to this hotfix as it seems it isn't for my version and may actually be a hot problem causer?


< Message edited by Yogi the Great -- 6/7/2017 10:36:47 AM >


_____________________________

Hooked Since AH Gettysburg

(in reply to Hubert Cater)
Post #: 11
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/7/2017 12:12:04 PM   
BPINisBACK

 

Posts: 97
Joined: 10/30/2016
Status: offline

quote:

ORIGINAL: Hubert Cater

Thanks for the info and if you can do me a favour and list for me all the Challenge IDs in question and what language they should be in, i.e. Spanish or something else, and I will correct these on the server for you.

To get the Challenge ID info, simply load the PBEM++ Lobby in game and then mouse over each individual challenge and the tool tip popup should show the Challenge ID number.

We switched to a multi-language system which should be recording the languages that a challenge is started in, but it might be the case here that these older PBEM++ games were not properly recording the at start language for you.


Sorry, does this mean that if i join to a challenge launched in german language... i will have to play with the interface in german the whole game?


(in reply to Hubert Cater)
Post #: 12
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/7/2017 2:28:53 PM   
Benedict151

 

Posts: 414
Joined: 3/4/2016
Status: online
Hello Yogi
v1.03 was released at the end of March
We would recommend updating to v1.04

The v1.04.01 hotfix primarily addresses some PBEM issues players were having with their v1.03 games with v1.04 so it does not seem that applicable to you
Therefore I cannot see a reason for updating to v1.04.01 if you don't want to

I wonder why you didn't get v1.03 which was an official release, perhaps your firewall blocked it?

You can download v1.04 from the members and public areas

It is available from the members area :
https://www.matrixgames.com/members/publicDL.asp?gid=504

And the public area :
http://ftp.matrixgames.com/pub/StrategicCommandWWIIWarInEurope/StrategicCommand-UpdateComp-v1.04.zip


regards
Ben Wilkins

< Message edited by Benedict151 -- 6/7/2017 2:34:38 PM >

(in reply to BPINisBACK)
Post #: 13
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/7/2017 2:51:51 PM   
Yogi the Great


Posts: 1797
Joined: 4/10/2007
From: Wisconsin
Status: offline
Thanks, but when I go it still shows the latest release as 1.02 March 2017

When I go through support that and hit the link to show all the latest downloads it is not there.

The forum still shows 1.03 as a Beta.

I will try to check for downloads again and look a little further if I still get the error message, which I have had problems with on other games as well and have then downloaded in a different way as tried above.

EDIT: Ok I was able to get the 1.04 from your members link above. So I am set with that. The problem with being unable to download using the check for updates version continued. Also as mentioned just looking at website and support links it appeared 1.02 was indeed the last official version. I also did not see anything that showed 1.03 as anything but a Beta which is probably also why the check for updates on the games menu never found it, yet it does now find 1.04 which would have been great if you could actually download it using that feature.

Thanks for the help Ben

< Message edited by Yogi the Great -- 6/7/2017 3:42:55 PM >

(in reply to Benedict151)
Post #: 14
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/7/2017 4:11:07 PM   
HybridSpyda

 

Posts: 46
Status: offline
Hi Yogi,

quote:

ORIGINAL: Yogi the Great

Thanks, but when I go it still shows the latest release as 1.02 March 2017

Sorry, but where are you seeing that the latest release is listed as 1.02?

quote:

ORIGINAL: Yogi the Great

The problem with being unable to download using the check for updates version continued. Also as mentioned just looking at website and support links it appeared 1.02 was indeed the last official version.

Also, what 'support links' are you referring to?

Kind Regards,
Matthew Davis

_____________________________

Matthew Davis

Production Team Lead


(in reply to Yogi the Great)
Post #: 15
RE: v1.04.01 Hotfix EXE (Multi-Language PBEM++ support ... - 6/8/2017 11:34:37 AM   
Yogi the Great


Posts: 1797
Joined: 4/10/2007
From: Wisconsin
Status: offline
quote:

ORIGINAL: HybridSpyda

Hi Yogi,

quote:

ORIGINAL: Yogi the Great

Thanks, but when I go it still shows the latest release as 1.02 March 2017

Sorry, but where are you seeing that the latest release is listed as 1.02?

quote:

ORIGINAL: Yogi the Great

The problem with being unable to download using the check for updates version continued. Also as mentioned just looking at website and support links it appeared 1.02 was indeed the last official version.

Also, what 'support links' are you referring to?

Kind Regards,
Matthew Davis


They may be changed now, but I went to the product page and the only version listed for updates was 1.02. I went to the normal link on support or from questions on downloading, neither 1.03 or 1.04 was there.

My experience with the check for update is that it will only go to a new version if it is official it does not update to Beta. I often hit the check for update just to be sure and at no time did it ever say there was an update for 1.03. As mentioned it did recognize when 1.04 came out even before you posted 1.04 available on the forum but the unable to download problem occurs.

The good news is as posted earlier I now have it thanks to the link provided and am updated to 1.04

Oh forgot this one even when I went to the link where I got 1.04 below was a link for 1.03 still listed as a beta.


< Message edited by Yogi the Great -- 6/8/2017 11:36:10 AM >

(in reply to HybridSpyda)
Post #: 16
Page:   [1]
All Forums >> [New Releases from Matrix Games] >> Strategic Command WWII War in Europe >> v1.04.02 Hotfix EXE (Multi-Language PBEM++ support for previous v1.03 games + FIXES) Page: [1]
Jump to:





New Messages No New Messages
Hot Topic w/ New Messages Hot Topic w/o New Messages
Locked w/ New Messages Locked w/o New Messages
 Post New Thread
 Reply to Message
 Post New Poll
 Submit Vote
 Delete My Own Post
 Delete My Own Thread
 Rate Posts


Forum Software © ASPPlayground.NET Advanced Edition 2.4.5 ANSI

0.125